Subject: Re: bug#31719: Chains of dependencies getting longer

From: Carlo Zancanaro <[email-masked]>
Date: Tue, 20 Apr 2021 19:01:36 +1000

On 20 April 2021 4:18:03 am AEST, Ricardo Wurmus <[email-masked]> wrote:
>I just looked over the patch, and while I’m not sure it’s the best way to do things (matching “openjdk” or “icedtea” in the package name seems a little error prone in the presence of packages whose names might include these strings), but I think it’s a definite improvement.

Yeah, I'm agreed on that. I tried for a while to find a way to exclude native inputs, but as far as I could tell they all ended up as inputs within the build phases. I'd be happy to change it if somebody can give me a hint about how to pick out the native inputs.

Carlo